# Hebrew Dates
heb_months_re = '|'.join(["אלול","אב","תמוז","סיון","סיוון","אייר","ניסן","אדר","שבט","טבת","כסלו","כיסלו","חשוון","תשרי"])
heb_days_re = '|'.join(["[א-ל]׳","""י״(?:[א-ד]|[ז-ט])""","""ט״(?:ו|ז)""","""כ״[א-ט]""","""ל״א"""])
heb_year_re = r"ה?ת[א-ת][א-ת]?״[א-ת]"
HEB_DATE_REGEX =  rf"\b(?:ב|ל|מ|מה|ה)?({heb_days_re})?(?:\s+)?(?:ב|ל|בחודש|לחודש)?(?:-|\s)?({heb_months_re})(?:\s|,\s)?({heb_year_re})?\b"

# Latin Dates
latin_months_re =    '|'.join(["ינואר","פברואר","מרץ","אפריל","מאי","יוני","יולי","אוגוסט","ספטמבר","אוקטובר","נובמבר","דצמבר"])
num_days_re = r"[1-9]|0[1-9]|[1-2][0-9]|3[0-1]"
LATIN_DATE_REGEX =  rf"\b(?:ב|ל|מ|מה|ה)?({num_days_re})?(?:\s+)?(?:ב|ל|בחודש|לחודש)?(?:-|\s)?({latin_months_re})(?:\s|,\s)?(\d\d|\d\d\d\d)?\b"